diff -r -C 2 -P ../AmiPhone_1.92/Install_AmiPhone ./Install_AmiPhone
*** ../AmiPhone_1.92/Install_AmiPhone	Sat Nov 16 23:46:46 1996
--- ./Install_AmiPhone	Sun Mar  1 02:31:10 1998
***************
*** 1,199 ****
  ; Installation script for AmiPhone
  ; by Jeremy Friesner
  
  (transcript "On installing AmiPhone...")
  
  (if (exists "AmiTCP:" (noreq))
!  (
! 	; make sure "rx" is available
! 	(if (not (exists "sys:rexxc/rx"))
! 	    (abort "This installer script needs to use the ARexx utility rx.\n\nPlease make sure the rx utility is installed in sys:rexxc and try to install again."))
! 
! 	; make sure we have the library that EditTextFile.rexx needs
! 	(if (not (exists "libs:rexxsupport.library"))
! 	    (abort "This installer script needs rexxsupport.library in LIBS: to run.\n\nPlease install this library and then run this Installer script again."))
! 
! 	; try and make sure ARexx is running 
! 	(run "rexxmast" (safe))
! 
! 	; if AmiPhoned is already in /serv, probably they've already installed before
! 	(set DefaultUpdate (exists "amitcp:serv/AmiPhoned" (noreq)))
  
! 	; don't want to make a distinction between 1 and 2
! 	(if (> DefaultUpdate 0)	(set DefaultUpdate 1))
  	
! 	(set PhoneUpdate
! 	      (askchoice
! 	         (prompt "Select which kind of install you want:")
! 	         (choices "First Time Install" "Update")
! 	         (default DefaultUpdate)
! 	         (help "If you've never installed AmiPhone on your system before, select First Time Install.  If you already have an earlier version, select Update.")
! 	   ))
! 
! 	; see if we can't guess what digitizer they use, based on files in their system drawer	
! 	(set nGuessDefault 8)	; default default is Generic
! 	(if (exists "devs:ahi.device") (set nGuessDefault 7))
! 	(if (exists "libs:toccata.library") (set nGuessDefault 3))
! 	(if (exists "libs:delfina.library") (set nGuessDefault 6))
  	
! 	; ask the user what kind of digitizer they use
! 	(set Digitizer
! 	      (askchoice
! 	      	 (prompt "Select which type of audio digitizer you will be using with AmiPhone:")
! 	      	 (choices "GVP DSS8" "PerfectSound" "A.M.A.S." "Toccata (Zorro II)" "Aura (PCMCIA)" "Sound Magic" "Delfina (Zorro II)" "AHI (Audio Library)" "Generic Parallel Port digitizer")
! 	      	 (default nGuessDefault)
! 	      	 (help "To send speech with AmiPhone, you need an audio digitizer connected to your parallel port.  If your digitizer model is not listed, please choose the Generic option.")
! 	      )
! 	)
! 	(select Digitizer
! 		(set Digitizer "DSS8")
! 		(set Digitizer "PERFECTSOUND")
! 		(set Digitizer "AMAS")
! 		(set Digitizer "TOCCATA")
! 		(set Digitizer "AURA")
! 		(set Digitizer "SOUNDMAGIC")
! 		(set Digitizer "DELFINA")
! 		(set Digitizer "AHI")
! 		(set Digitizer "GENERIC")
! 	)
  	(tooltype
  		(dest "AmiPhone")
! 		(settooltype "SAMPLER" Digitizer)
! 	)
  
! 	; do they want to set up AmiPhone to receive voice-mail?
! 	(if (= 1 (askbool 
! 		(prompt "\n\nDo you wish to set up AmiPhone to receive voice mail?")
! 		(help "AmiPhone is capable of receiving and storing voice messages while you are away from your computer.  This takes some disk space though, so if you're tight on space, you might want to leave it disabled.")
! 		(default 0)
! 		(choices "Yes" "No")))
! 	; answered yes
! 	(
! 		(set MessageDir 
! 			(askdir
!                 		(prompt "What directory would you like AmiPhone to keep the voice message files in?  (NOTE: You should not keep any other files in this directory!)")
!                         	(help @askdir-help)
!                         	(default "work:")))
!                 (set MaxDirSize
!                 	(asknumber
!                 		(prompt "\n\nWhat should be the maximum possible size (in kilobytes) of this directory be?  (Enter -1 for unlimited size)")
!                 		(help "By setting this value, you can guarantee that AmiPhoned will not let anyone fill up your hard drive.  AmiPhoned counts the bytes in the voice mail directory on startup, and will reject messages if the directory size has reached the size you specify here.")
! 				(default 500)
! 				(range -1 1000000)))
! 		
! 		; if a max size was set for the dir, use that as the max max file size as well
! 		(if (> MaxDirSize -1)
! 			(set MaxFileSize MaxDirSize)
! 			(set MaxFileSize 1000000))
! 		
! 		(set MaxFileSize
! 			(asknumber
! 				(prompt "\n\nWhat should the maximum possible size (in kilobytes) of each message be?  (Enter -1 to impose no special limit on individual message size)")
!                 		(help "By setting this value, you can guarantee that no one message will fill up your entire allotment of message space.")
! 				(default -1)
! 				(range -1 MaxFileSize)))
!                 (set AwayVar
!                 	(askstring
!                 		(prompt "\n\nAmiPhone uses the presence of an ENV: var to determine whether or not you're away.  If the ENV: var is present, it takes a message, otherwise it puts up a requester for you.  What ENV: var would you like AmiPhone to look for?")
!                 		(help "The ENV: var can be set manually by you, by a script, or perhaps by your screen blanker.")
! 				(default "BLANKED")))
! 		
! 		; set the tooltypes!	
! 		(set BlankString "")
! 
! 		(tooltype
! 			(dest "AmiPhone")
! 			(settooltype "VOICEMAILDIR" MessageDir))
! 		(tooltype
! 			(dest "AmiPhone")
! 			(settooltype "AWAYVAR" AwayVar))
! 
! 		(if (> MaxDirSize -1)
! 		((tooltype
! 			(dest "AmiPhone")
! 			(settooltype "MAXVOICEMAILSIZE" (cat BlankString MaxDirSize))))
! 		;else
! 		((tooltype (dest "AmiPhone") (settooltype "MAXVOICEMAILSIZE"))))
! 		
! 		(if (> MaxFileSize -1)	
! 		((tooltype
! 			(dest "AmiPhone")
! 			(settooltype "MAXMESSAGESIZE" (cat BlankString MaxFileSize))))
! 		;else
! 		((tooltype (dest "AmiPhone") (settooltype "MAXMESSAGESIZE"))))
! 		
! 	)
! 	; answered no
! 	(
! 		; clean out any related tooltypes 
! 		(tooltype (dest "AmiPhone") (settooltype "VOICEMAILDIR"))
! 		(tooltype (dest "AmiPhone") (settooltype "MAXVOICEMAILSIZE"))
! 		(tooltype (dest "AmiPhone") (settooltype "MAXMESSAGESIZE"))
! 		(tooltype (dest "AmiPhone") (settooltype "AWAYVAR"))
! 	))
! 	
! 	(set PhoneDir
! 		(askdir
!                 	(prompt "What directory would you like to put the AmiPhone executable in?  (no directory will be created)")
!                         (help @askdir-help)
!                         (default "AmiTCP:bin")
!                 )
!         )
! 
! 	; if PhoneDir isn't the usual, set the AMIPHONE env: var to let AmiPhoned know
! 	(if (not (PatMatch "Amitcp:bin" PhoneDir))
! 	   (
! 	    (run (cat "echo " (tackon PhoneDir "AmiPhone") " >env:AMIPHONE"))
! 	    (run (cat "echo " (tackon PhoneDir "AmiPhone") " >envarc:AMIPHONE"))
! 	   )
! 	)
  	
! 	; Copy AmiPhone and AmiPhoned to the bin and serv directories 
! 	(copyfiles
! 		(prompt (cat "Copying AmiPhone executable to " PhoneDir))
! 		(help @copyfiles-help)
! 		(source "")
! 		(infos)
! 		(pattern "AmiPhone")
! 		(dest PhoneDir)
! 	)
  	
! 	(copyfiles
! 		(prompt "Copying AmiPhoned daemon to amitcp:serv")
! 		(help @copyfiles-help)
! 		(source "")
! 		(infos)
! 		(pattern "AmiPhoned")
! 		(dest "amitcp:serv")
  	)
  
! 	; If we're doing a first-time install, update the user's AmiTCP config files
! 	(if (= 0 PhoneUpdate)	
! 	  (
! 		(delete "t:edit_text_succeeded")
! 		(set ARexxRunString (cat "sys:rexxc/rx EditTextFile.rexx amitcp:db/services AmiPhone AmiPhone^^^^^^^^2956/tcp"))
! 		(run
! 			(ARexxRunString)
! 			(prompt "If you plan to be running AmiPhone in conjunction with AmiTCP, the line:\n\nAmiPhone        2956/tcp\n\nneeds to be present in your amitcp:db/services file.  Do you wish me to update the file?  (Note:  AmiPhone will not receive connections if this line is not precisely as shown above!)")
! 			(help "The inclusion of this line into amitcp:db/services is done by an ARexx script which is smart enough to correctly edit previous installations.  Also it will make a backup (to amitcp:db/services.bak) before writing.")
! 			(confirm)
  		)
! 		(if (not (exists "t:edit_text_succeeded"))
! 		   (message "For some reason, the config file editing script (EditText.rexx) could not complete successfully.  You'll need to edit your amitcp:db/services file yourself.  Look in the 'Installation' section of the AmiPhone docs for instructions."))
! 					
! 		(delete "t:edit_text_succeeded")
! 		(set ARexxRunString (cat "sys:rexxc/rx EditTextFile.rexx amitcp:db/inetd.conf AmiPhone AmiPhone^^^^stream^^^^^^tcp^nowait^root^^^^amitcp:serv/AmiPhoned"))
! 		(run
! 			(ARexxRunString)
! 			(prompt "\nAlso, the line:\n\nAmiPhone    stream      tcp nowait root    amitcp:serv/AmiPhoned\n\nneeds to be present in your amitcp:db/inetd.conf file.  Do you wish me to update that file?\n(Note:  AmiPhone will not receive connections if this line is not precisely as shown above!)")
! 			(help "The inclusion of this line into amitcp:db/inetd.conf is done by an ARexx script which is smart enough to correctly edit previous installations.  Also it will make a backup (to amitcp:db/inetd.conf.bak) before writing.")
! 			(confirm)
  		)
! 		(if (not (exists "t:edit_text_succeeded"))
! 		   (message "For some reason, the config file editing script (EditText.rexx) could not complete successfully.  You'll need to edit your amitcp:db/inetd.conf file yourself.  Look in the 'Installation' section of the AmiPhone docs for instructions."))
! 	  )
  	)
  	(message "\n\nAmiPhone is now installed.\nRe-start AmiTCP and try it out!")
!  )
!  (abort "\n\nAmiTCP does not appear to be set up on your system.  (Specifically, the assign AmiTCP: has not been made)  Because of this, I am unable to install AmiPhone.  Please install AmiTCP and then try again.")
! )
\ No newline at end of file
--- 1,255 ----
  ; Installation script for AmiPhone
  ; by Jeremy Friesner
+ ; Miami additions by Fredrik Rambris
+ ; Martin Blom removed the Delfina lines...
  
  (transcript "On installing AmiPhone...")
  
  (if (exists "AmiTCP:" (noreq))
! 	(set defc 1)
! 	(set defc 0)
! )
! 
! (set inst
! 	(askchoice
! 		(prompt "Select which TCP/IP-stack to install for")
! 		(help "Short: Which package do you use to connect to internet with?")
! 		(choices "Miami"
! 		         "AmiTCP"
! 		)
! 		(default defc)
! 	)
! )
  
! (if inst
! 	(
! 		; make sure "rx" is available
! 		(if (not (exists "sys:rexxc/rx"))
! 		    (abort "This installer script needs to use the ARexx utility rx.\n\nPlease make sure the rx utility is installed in sys:rexxc and try to install again."))
! 
! 		; make sure we have the library that EditTextFile.rexx needs
! 		(if (not (exists "libs:rexxsupport.library"))
! 		    (abort "This installer script needs rexxsupport.library in LIBS: to run.\n\nPlease install this library and then run this Installer script again."))
! 
! 		; try and make sure ARexx is running 
! 		(run "rexxmast" (safe))
! 	)
! )
! 
! ; if AmiPhoned is already in /serv, probably they've already installed before
! (set DefaultUpdate (exists "amitcp:serv/AmiPhoned" (noreq)))
! 
! ; don't want to make a distinction between 1 and 2
! (if (> DefaultUpdate 0)	(set DefaultUpdate 1))
! 
! (set PhoneUpdate
!       (askchoice
!          (prompt "Select which kind of install you want:")
!          (choices "First Time Install" "Update")
!          (default DefaultUpdate)
!          (help "If you've never installed AmiPhone on your system before, select First Time Install.  If you already have an earlier version, select Update.")
!    ))
! 
! ; see if we can't guess what digitizer they use, based on files in their system drawer	
! (set nGuessDefault 7)	; default default is Generic
! (if (exists "devs:ahi.device") (set nGuessDefault 6))
! (if (exists "libs:toccata.library") (set nGuessDefault 3))
! 
! ; ask the user what kind of digitizer they use
! (set Digitizer
!       (askchoice
!       	 (prompt "Select which type of audio digitizer you will be using with AmiPhone:")
!       	 (choices "GVP DSS8" "PerfectSound" "A.M.A.S." "Toccata (Zorro II)" "Aura (PCMCIA)" "Sound Magic" "AHI" "Generic Parallel Port digitizer")
!       	 (default nGuessDefault)
!       	 (help "To send speech with AmiPhone, you need an audio digitizer connected to your parallel port.  If your digitizer model is not listed, please choose the Generic option.")
!       )
! )
! (select Digitizer
! 	(set Digitizer "DSS8")
! 	(set Digitizer "PERFECTSOUND")
! 	(set Digitizer "AMAS")
! 	(set Digitizer "TOCCATA")
! 	(set Digitizer "AURA")
! 	(set Digitizer "SOUNDMAGIC")
! 	(set Digitizer "AHI")
! 	(set Digitizer "GENERIC")
! )
! (tooltype
! 	(dest "AmiPhone")
! 	(settooltype "SAMPLER" Digitizer)
! )
! 
! ; do they want to set up AmiPhone to receive voice-mail?
! (if (= 1 (askbool 
! 	(prompt "\n\nDo you wish to set up AmiPhone to receive voice mail?")
! 	(help "AmiPhone is capable of receiving and storing voice messages while you are away from your computer.  This takes some disk space though, so if you're tight on space, you might want to leave it disabled.")
! 	(default 0)
! 	(choices "Yes" "No")))
! ; answered yes
! (
! 	(set MessageDir 
! 		(askdir
!             		(prompt "What directory would you like AmiPhone to keep the voice message files in?  (NOTE: You should not keep any other files in this directory!)")
!                     	(help @askdir-help)
!                     	(default "work:")))
!             (set MaxDirSize
!             	(asknumber
!             		(prompt "\n\nWhat should be the maximum possible size (in kilobytes) of this directory be?  (Enter -1 for unlimited size)")
!             		(help "By setting this value, you can guarantee that AmiPhoned will not let anyone fill up your hard drive.  AmiPhoned counts the bytes in the voice mail directory on startup, and will reject messages if the directory size has reached the size you specify here.")
! 			(default 500)
! 			(range -1 1000000)))
  	
! 	; if a max size was set for the dir, use that as the max max file size as well
! 	(if (> MaxDirSize -1)
! 		(set MaxFileSize MaxDirSize)
! 		(set MaxFileSize 1000000))
  	
! 	(set MaxFileSize
! 		(asknumber
! 			(prompt "\n\nWhat should the maximum possible size (in kilobytes) of each message be?  (Enter -1 to impose no special limit on individual message size)")
!             		(help "By setting this value, you can guarantee that no one message will fill up your entire allotment of message space.")
! 			(default -1)
! 			(range -1 MaxFileSize)))
!             (set AwayVar
!             	(askstring
!             		(prompt "\n\nAmiPhone uses the presence of an ENV: var to determine whether or not you're away.  If the ENV: var is present, it takes a message, otherwise it puts up a requester for you.  What ENV: var would you like AmiPhone to look for?")
!             		(help "The ENV: var can be set manually by you, by a script, or perhaps by your screen blanker.")
! 			(default "BLANKED")))
! 	
! 	; set the tooltypes!	
! 	(set BlankString "")
! 
  	(tooltype
  		(dest "AmiPhone")
! 		(settooltype "VOICEMAILDIR" MessageDir))
! 	(tooltype
! 		(dest "AmiPhone")
! 		(settooltype "AWAYVAR" AwayVar))
  
! 	(if (> MaxDirSize -1)
! 	((tooltype
! 		(dest "AmiPhone")
! 		(settooltype "MAXVOICEMAILSIZE" (cat BlankString MaxDirSize))))
! 	;else
! 	((tooltype (dest "AmiPhone") (settooltype "MAXVOICEMAILSIZE"))))
  	
! 	(if (> MaxFileSize -1)	
! 	((tooltype
! 		(dest "AmiPhone")
! 		(settooltype "MAXMESSAGESIZE" (cat BlankString MaxFileSize))))
! 	;else
! 	((tooltype (dest "AmiPhone") (settooltype "MAXMESSAGESIZE"))))
  	
! )
! ; answered no
! (
! 	; clean out any related tooltypes 
! 	(tooltype (dest "AmiPhone") (settooltype "VOICEMAILDIR"))
! 	(tooltype (dest "AmiPhone") (settooltype "MAXVOICEMAILSIZE"))
! 	(tooltype (dest "AmiPhone") (settooltype "MAXMESSAGESIZE"))
! 	(tooltype (dest "AmiPhone") (settooltype "AWAYVAR"))
! ))
! 
! (set PhoneDir
! 	(askdir
! 		(prompt "What directory would you like to put the AmiPhone executable in?\n(no directory will be created)")
! 		(help @askdir-help)
! 		(default (select inst "Work:" "AmiTCP:bin") )
  	)
+ )
+ 
+ (set @default-dest PhoneDir)
  
! (if inst
! 	(set PhonedDir "AmiTCP:Serv")
! 	(
! 		(set PhonedDir
! 			(askdir
! 				(prompt "What directory would you like to put the AmiPhoned daemon executable in?\n(no directory will be created)")
! 				(help @askdir-help)
! 				(default "Work:")
! 			)
  		)
! 	)
! )
! ; if PhoneDir isn't the usual, set the AMIPHONE env: var to let AmiPhoned know
! (if (not (PatMatch "Amitcp:bin" PhoneDir))
!    (
!     (run (cat "echo " (tackon PhoneDir "AmiPhone") " >env:AMIPHONE"))
!     (run (cat "echo " (tackon PhoneDir "AmiPhone") " >envarc:AMIPHONE"))
!    )
! )
! 
! ; Copy AmiPhone and AmiPhoned to the bin and serv directories 
! (copyfiles
! 	(prompt (cat "Copying AmiPhone executable to " PhoneDir))
! 	(help @copyfiles-help)
! 	(source "")
! 	(infos)
! 	(pattern "AmiPhone")
! 	(dest PhoneDir)
! )
! 
! (copyfiles
! 	(prompt (cat "Copying AmiPhoned daemon to %s" PhonedDir) )
! 	(help @copyfiles-help)
! 	(source "")
! 	(infos)
! 	(pattern "AmiPhoned")
! 	(dest PhonedDir)
! )
! 
! ; If we're doing a first-time install, update the user's AmiTCP config files
! (if (= 0 PhoneUpdate)	
! 	(if inst
! 		(
! 			(delete "t:edit_text_succeeded")
! 			(set ARexxRunString (cat "sys:rexxc/rx EditTextFile.rexx amitcp:db/services AmiPhone AmiPhone^^^^^^^^2956/tcp"))
! 			(run
! 				(ARexxRunString)
! 				(prompt "If you plan to be running AmiPhone in conjunction with AmiTCP, the line:\n\nAmiPhone        2956/tcp\n\nneeds to be present in your amitcp:db/services file.  Do you wish me to update the file?  (Note:  AmiPhone will not receive connections if this line is not precisely as shown above!)")
! 				(help "The inclusion of this line into amitcp:db/services is done by an ARexx script which is smart enough to correctly edit previous installations.  Also it will make a backup (to amitcp:db/services.bak) before writing.")
! 				(confirm)
! 			)
! 			(if (not (exists "t:edit_text_succeeded"))
! 			   (message "For some reason, the config file editing script (EditText.rexx) could not complete successfully.  You'll need to edit your amitcp:db/services file yourself.  Look in the 'Installation' section of the AmiPhone docs for instructions."))
! 						
! 			(delete "t:edit_text_succeeded")
! 			(set ARexxRunString (cat "sys:rexxc/rx EditTextFile.rexx amitcp:db/inetd.conf AmiPhone AmiPhone^^^^stream^^^^^^tcp^nowait^root^^^^amitcp:serv/AmiPhoned"))
! 			(run
! 				(ARexxRunString)
! 				(prompt "\nAlso, the line:\n\nAmiPhone    stream      tcp nowait root    amitcp:serv/AmiPhoned\n\nneeds to be present in your amitcp:db/inetd.conf file.  Do you wish me to update that file?\n(Note:  AmiPhone will not receive connections if this line is not precisely as shown above!)")
! 				(help "The inclusion of this line into amitcp:db/inetd.conf is done by an ARexx script which is smart enough to correctly edit previous installations.  Also it will make a backup (to amitcp:db/inetd.conf.bak) before writing.")
! 				(confirm)
! 			)
! 			(if (not (exists "t:edit_text_succeeded"))
! 			   (message "For some reason, the config file editing script (EditText.rexx) could not complete successfully.  You'll need to edit your amitcp:db/inetd.conf file yourself.  Look in the 'Installation' section of the AmiPhone docs for instructions."))
  		)
! 
! 		(
! 			; Create the textfile with a pointer to AmiPhoneD
! 			(textfile
! 			   (dest "t:dbtemp")
! 			   (append
! 			      "ADD services AmiPhone 2956/tcp\n"
! 			      ("ADD inetd AmiPhone stream tcp nowait root %s\n" (tackon PhonedDir "AmiPhoned") )
! 			   )
! 			)
! 
! 			; Add the lines to envarc:MiamiChangeDB (i.e. don't overwrite! Other programs
! 			; may have their lines there too)
! 			(run "type t:dbtemp >>envarc:MiamiChangeDB")
! 
! 			; If Miami shoule be running... why not make it read the new settings?
! 			(run "SYS:Rexxc/RX \"ADDRESS MIAMI.1;changedb\"")
! 
! 			; Clean up
! 			(delete "t:dbtemp")
! 		)	
! 
  	)
+ )
+ (if inst
  	(message "\n\nAmiPhone is now installed.\nRe-start AmiTCP and try it out!")
! 	(message "\n\nAmiPhone is now installed.\nYou may have to re-start Miami before you start AmiPhone!")
! )
Binary files ../AmiPhone_1.92/Install_AmiPhone.info and ./Install_AmiPhone.info differ
diff -r -C 2 -P ../AmiPhone_1.92/PhoneUtil.c ./PhoneUtil.c
*** ../AmiPhone_1.92/PhoneUtil.c	Sat Nov 16 23:46:42 1996
--- ./PhoneUtil.c	Sun Feb 15 23:04:50 1998
***************
*** 1,4 ****
--- 1,5 ----
  /* A quick program to read in an AmiPhone voice file and output
     an 8-bit raw sound file */
+ /* :ts=4 */
  
  #include <stdio.h>
diff -r -C 2 -P ../AmiPhone_1.92/README ./README
*** ../AmiPhone_1.92/README	Thu Jan  1 01:00:00 1970
--- ./README	Fri Mar 13 00:25:46 1998
***************
*** 0 ****
--- 1,52 ----
+ Short: v1.93: AmiTCP based voice chat program
+ Type: comm/net
+ Author: Jeremy Friesner <jfriesne@ucsd.edu>, Martin Blom <lcs@lysator.liu.se>
+ Uploader: Martin Blom <lcs@lysator.liu.se>
+ Requires: Workbench 2.04+, AmiTCP3.0b+, audio digitizer
+ Version: 1.93
+ 
+ ----------------------------------------------------------------
+ 	
+ 			AMIPHONE 1.93
+                      
+                    (Released 1998-03-13)
+                      
+ ----------------------------------------------------------------
+ 
+ This is a public release of Jeremy Friesner's TCP/IP based voice chat
+ software.  With it and a digitizer and microphone, you can transmit your
+ voice over the Internet or a LAN to another Amiga or Amigas that are
+ running AmiPhone.
+ 
+ AmiPhone requires Workbench 2.04 or higher, AmiTCP 3.0b or higher, and a
+ sampler with a microphone.  Also, a fast CPU and fast Internet connection
+ are highly recommended.
+ 
+ NOTE:  AmiPhone is not compatible with I-Phone or any other
+        Internet-phone type program at this time.     
+ 
+ New in version 1.93:
+ 
+      The 1.93 changes by Martin Blom:
+ 
+      - Recompiled using SAS/C 6.58.
+      * Removed the Delfina support (it didn't work anymore).
+      - New-Look menus.
+      - The AHI audio mode is now selectable.
+      - Input can be selected in AHI mode.
+      * Removed some debug code.
+      - Added Fredrik Rambris installer script (supports Miami).
+        (I hope you don't mind, Fredrik---your mail address is not
+        valid anymore.)
+ 
+ New in version 1.92:
+      - AmiPhone's GUI is now font-sensitive.
+      - Added "FONT" and "FONTSIZE" Startup Arguments.
+      - Added "PRESEND" and "POSTSEND" Startup Arguments.
+      - The maximum MaxXmitDelay parameter value is now 999.
+      * Removed HOSTNAME configuration from Install script and docs,
+        as this env var is no longer (directly) used by AmiPhone.
+      * Toccata support is improved some more.  (Thanks to Georges
+        Heinesch and Dan Piontak for feedback on this)
+      * Removed some floating point math that was causing crashes
+        on some Amigas.  (Thanks to Meni Berman for his help with this).
Binary files ../AmiPhone_1.92/README.icon.info and ./README.icon.info differ
diff -r -C 2 -P ../AmiPhone_1.92/Sampler.c ./Sampler.c
*** ../AmiPhone_1.92/Sampler.c	Sat Nov 16 23:46:44 1996
--- ./Sampler.c	Sun Feb 15 13:29:52 1998
***************
*** 46,52 ****
  #endif	// ciab
  
! extern __far volatile struct Custom	custom;
! extern __far volatile struct CIA	ciaa;
! extern __far volatile struct CIA	ciab;
  
  	// Audio channel bits
--- 46,52 ----
  #endif	// ciab
  
! extern FAR volatile struct Custom	custom;
! extern FAR volatile struct CIA	ciaa;
! extern FAR volatile struct CIA	ciab;
  
  	// Audio channel bits
***************
*** 71,75 ****
  #define SAMPLING_RATE	22050
  
! LONG __saveds
  Main(VOID)
  {
--- 71,75 ----
  #define SAMPLING_RATE	22050
  
! LONG SAVEDS
  Main(VOID)
  {
diff -r -C 2 -P ../AmiPhone_1.92/StringRequest.c ./StringRequest.c
*** ../AmiPhone_1.92/StringRequest.c	Sat Nov 16 23:46:44 1996
--- ./StringRequest.c	Sun Feb 15 23:04:53 1998
***************
*** 1,2 ****
--- 1,5 ----
+ 
+ /* :ts=4 */
+ 
  #include <stdio.h>
  #include <time.h>
***************
*** 157,161 ****
  void SetBusyPointer(struct Window *win)
  {
! 	static __chip UWORD waitPointer[] =
  	       {0x0000, 0x0000, 0x0400, 0x07c0, 0x0000, 0x07c0, 0x0100, 0x0380,
  		0x0000, 0x07e0, 0x07c0, 0x1ff8, 0x1ff0, 0x3fec, 0x3ff8, 0x7fde,
--- 160,164 ----
  void SetBusyPointer(struct Window *win)
  {
! 	static CHIP UWORD waitPointer[] =
  	       {0x0000, 0x0000, 0x0400, 0x07c0, 0x0000, 0x07c0, 0x0100, 0x0380,
  		0x0000, 0x07e0, 0x07c0, 0x1ff8, 0x1ff0, 0x3fec, 0x3ff8, 0x7fde,
diff -r -C 2 -P ../AmiPhone_1.92/TCPQueue.c ./TCPQueue.c
*** ../AmiPhone_1.92/TCPQueue.c	Sat Nov 16 23:46:40 1996
--- ./TCPQueue.c	Sun Feb 15 23:04:57 1998
***************
*** 1,5 ****
--- 1,9 ----
+ 
+ /* :ts=4 */
+ 
  #include <stdio.h>
  #include <string.h>
  
+ #include <netinclude:sys/types.h>
  #include <exec/types.h>
  
***************
*** 10,14 ****
  #include <clib/alib_protos.h>
  
! #include <errno.h>
  #include <inetd.h>
  #include <sys/types.h>
--- 14,18 ----
  #include <clib/alib_protos.h>
  
! /* #include <errno.h> */
  #include <inetd.h>
  #include <sys/types.h>
Only in ../AmiPhone_1.92: TCPQueue.c.info
